//
//  XGLFogMachine.h
//  xGL2
//
//  Created by mantis on 17/08/05.
//  Copyright 2005 xonko interactive. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "vectorLib.h"

@interface XGLFogMachine : NSObject {
	BOOL		enabled;
	NSString	*mode;
	float		near;
	float		far;
	float		density;
	NSColor		*color;
	//NSArray		*modes;
}

+(NSArray *)fogModes;

- (BOOL)enabled;
- (void)setEnabled:(BOOL)value;

- (NSString *)mode;
- (void)setMode:(NSString *)value;

- (float)near;
- (void)setNear:(float)value;

- (float)far;
- (void)setFar:(float)value;

- (float)density;
- (void)setDensity:(float)value;

- (NSColor *)color;
- (void)setColor:(NSColor *)value;

-(void)initGL;

@end
